Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000233OpenIVTools - Models viewer (general)public2014-02-15 18:472014-03-02 21:48
ReporterAXLiberty 
Assigned ToGooD-NTS 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSWindows 7 (x64/x86)OS Version6.1.7600
Product Version1.5.5 
Target Version1.6Fixed in Version1.6 
Summary0000233: Shift + LMB (in model viewer)
DescriptionРеализовать возможность множественного выделения (в множественном рендеринге), по средствам нажатия Shift и ЛКМ.
TagsNo tags attached.
GameGrand Theft Auto IV/EfLC
Attached Files

- Relationships

-  Notes
(0000087)
GooD-NTS (administrator)
2014-02-16 12:57

Эм... не совсем понятно как это должно выглядеть.
У нас же рендеринг идет отмеченных галочкой элементов а не выделенных.
(0000088)
AXLiberty (reporter)
2014-02-19 19:37

Ну это просто реализовать.

При первом клике - заносим индекс текущего чекбокса в какую-либо переменную.
При втором клике с шифтом - выполняем цикл от сохраненного индекса чекбокса до текущего индекса, пробегаемся по чекбоксам в заданном диапозоне, и задаем checked = true.

- Issue History
Date Modified Username Field Change
2014-02-15 18:47 AXLiberty New Issue
2014-02-16 12:57 GooD-NTS Note Added: 0000087
2014-02-19 19:37 AXLiberty Note Added: 0000088
2014-03-02 21:45 GooD-NTS Assigned To => GooD-NTS
2014-03-02 21:45 GooD-NTS Priority low => normal
2014-03-02 21:45 GooD-NTS Status new => assigned
2014-03-02 21:45 GooD-NTS Target Version => 1.6
2014-03-02 21:48 GooD-NTS Status assigned => resolved
2014-03-02 21:48 GooD-NTS Fixed in Version => 1.6
2014-03-02 21:48 GooD-NTS Resolution open => fixed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker